| GET | /RestApi/recycle-bin/items/types |
|---|
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
Namespace Global
Namespace Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
Public Partial Class GetRecyclableType
End Class
End Namespace
End Namespace
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/types HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
name: String,
fullName: String,
count: 0
}
]